> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reject Return

> This endpoint rejects a return.

### Body

<ParamField body="return_id" type="string">
  The ID provided in the data tab may be used to identify the return
</ParamField>

### Response

<ResponseField name="id" type="string">
  The ID provided in the data tab may be used to identify the return
</ResponseField>

<ResponseField name="object" type="string">
  The object type
</ResponseField>

<ResponseField name="success" type="number">
  Indicates whether the call was successful. true if successful, false if not.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --location --request PUT 'https://api.stateset.com/v1/return/:id/reject' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Token <token>' \
  --data-raw '{
      "id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
  }'
  ```

  ```graphQL GraphQL theme={null}
        mutation returnRejectMutation {
          returnreject(id: "${returnId}") {
            return {
              id,
              status
            }
            userErrors {
              field
              message
            }
          }
        }
      `;
  ```

  ```js Node.js theme={null}
  const returns = await stateset.returns.reject({
    '0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
  });
  ```

  ```python Python theme={null}
  returns = stateset.returns.reject({
    '0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
  })
  ```

  ```ruby Ruby theme={null}
  returns = Stateset::Return.reject({
    '0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
  })
  ```

  ```go Go theme={null}
  returns, err := stateset.Returns.reject({
    '0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
  })
  ```

  ```java Java theme={null}
  Return returns = stateset.Returns.reject({
    '0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
  });
  ```

  ```php PHP theme={null}
  $returns = $stateset->returns->reject({
    '0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
  });
  ```

  ```csharp C# theme={null}
  var returns = await stateset.Returns.reject({
    '0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
  });
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
    "object": "return",
    "rejected": true
  }
  ```
</ResponseExample>
